imageservice.elasticsearch.index-prefix=imageservice
%test.imageservice.elasticsearch.index-prefix=test-imageservice

## Delete the index on start. ONLY turn this on for testing.
%test.imageservice.elasticsearch.delete-index-on-start=true

%prod.quarkus.elasticsearch.hosts=es:9200
%dev.quarkus.elasticsearch.hosts=0.0.0.0:9200
%test.quarkus.elasticsearch.hosts=0.0.0.0:9200

quarkus.http.cors=true
quarkus.http.cors.origins=*

data.image.dir=/images
%dev.data.image.dir=./sample_data/images

data.dir=/data
%dev.data.dir=./sample_data
%test.data.dir=./sample_data

data.image.community-subdir=community-data

%dev.quarkus.log.category."ibb.api.imageservice".level=DEBUG
%test.quarkus.log.category."ibb.api.imageservice".level=DEBUG

quarkus.container-image.registry=docker.gitlab.gwdg.de
quarkus.container-image.group=MedBioinf/devbio/ibb

%prod.quarkus.oidc.auth-server-url=http://keycloak:8080/ibb/keycloak/realms/ibb
quarkus.oidc.auth-server-url=https://ibeetle-base.uni-goettingen.de/ibb/keycloak/realms/ibb
quarkus.oidc.client-id=ibb-client
